Bug 188519 - Review Request: perl-Module-Load
Review Request: perl-Module-Load
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
Depends On:
Blocks: FE-ACCEPT 188527 189044 189048
  Show dependency treegraph
Reported: 2006-04-10 16:33 EDT by Steven Pritchard
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-04-19 10:48:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2006-04-10 16:33:33 EDT
Spec URL: http://ftp.kspei.com/pub/steve/rpms/perl-Module-Load/perl-Module-Load.spec
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/perl-Module-Load-0.10-1.src.rpm
Module::Load eliminates the need to know whether you are trying to
require either a file or a module.
Comment 1 Jason Tibbitts 2006-04-11 14:16:28 EDT
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written, uses macros consistently and
conforms to the Perl template.
* license field matches the actual license.
* license is open source-compatible.  It's not included separately in the
package, but this is not necessary as the upstream tarball does not include it.
* source files match upstream:
   ee40eb2fa3059381e43d1f14d414fe67  Module-Load-0.10.tar.gz
   ee40eb2fa3059381e43d1f14d414fe67  Module-Load-0.10.tar.gz-srpm
* BuildRequires are proper.
* package builds in mock.
* rpmlint is silent.
* BuildRequires are proper.
* final provides and requires are sane.
* no shared libraries are present.
* package is not relocatable.
* owns the directory it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

Comment 2 Steven Pritchard 2006-04-19 10:48:19 EDT
Imported into CVS and packages built.

Note You need to log in before you can comment on or make changes to this bug.